WIPEFS(8)

NAME
wipefs - wipe a filesystem signature from a device

SYNOPSIS
wipefs [-ahnpV] [-o offset] device

DESCRIPTION
wipefs can erase filesystem or raid signatures (magic strings) from the specified device to make the filesystem invisible for libblkid. wipefs does not erase the filesystem itself nor any other data from the device. When used without options -a or -o, it lists all visible filesystems and the offsets of their signatures.

OPTIONS

-a, --all
    Erase all available signatures.

-h, --help
    Print help and exit.

-n, --no-act
    Causes everything to be done except for the write() call.

-o, --offset offset
    Specify the location (in bytes) of the signature which should be erased from the device. The offset number may include a "0x" prefix; then the number will be interpreted as a hex value. It is possible to specify multiple -o options. The offset argument may be followed by binary (2^N) suffixes KiB, MiB, GiB, TiB, PiB and EiB (the "iB" is optional, e.g. "K" has the same meaning as "KiB") or decimal (10^N) suffixes KB, MB, GB, PB and EB.

-p, --parsable
    Print out in parsable instead of printable format. Encode all potentially unsafe characters of a string to the corresponding hex value prefixed by '\x'.

-V, --version
    Output version information and exit.

AUTHOR
Karel Zak <kzak@redhat.com>.

AVAILABILITY
The wipefs command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

SEE ALSO
blkid(8) findfs(8)